Refund Invoices
1 min
POST
https://api.nue.io/billing/invoices:refund
Body Parameters
- bodyobjectrequiredDescription
- refundInvoicesobject[]requiredDescription
- invoiceIdstring<uuid>requiredFormatuuid
- transactionAmountnumberrequired
- customerIdstringrequired
- paymentSourcestring<Stripe | QuickBooks | NetSuite | GoCardless | Nue>requiredDescriptionAllowedStripeQuickBooksNetSuiteGoCardlessNue
- paymentIdstring
- refundIdstring
- paymentNumberstring
- paymentMethodstringDescription
- paymentTypestringDescription
- transactionDatestring<date>Formatdate
- configMapobjectDescription
- triggerFromNueboolean
Responses
200
- object
- paymentApplicationsobject[]Description
- idstring
- invoiceIdstring
- debitMemoIdstring
- paymentIdstring
- paymentMethodstring
- transactionAmountnumber
- errorCodestring
- errorMessagestring
400
- object
- titlestring
- messagestring
- errorCodestring
404
- object
curl
curl --request POST \
--url https://api.nue.io/billing/invoices:refund \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"refundInvoices": [
{
"invoiceId": "",
"transactionAmount": "",
"customerId": "",
"paymentSource": ""
}
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"refundInvoices": [
{
"invoiceId": "",
"transactionAmount": "",
"customerId": "",
"paymentSource": ""
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.nue.io/billing/invoices:refund", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/billing/invoices:refund")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"refundInvoices": [
{
"invoiceId": "",
"transactionAmount": "",
"customerId": "",
"paymentSource": ""
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/billing/invoices:refund"
payload = json.dumps({
"refundInvoices": [
{
"invoiceId": "",
"transactionAmount": "",
"customerId": "",
"paymentSource": ""
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Invoice refunded successfully
{
"paymentApplications": [
{
"id": "",
"invoiceId": "",
"debitMemoId": "",
"paymentId": "",
"paymentMethod": "",
"transactionAmount": 0,
"errorCode": "",
"errorMessage": ""
}
]
}400
// Bad Request
{
"title": "",
"message": "",
"errorCode": ""
}404
// Not Found
{}